Name:           ocaml-xtmpl
Version:        0.5
Release:        %mkrel 2
Summary:        A small XML templating library for OCaml
License:        LGPL v3
Group:          Development/OCaml
URL:            http://zoggy.github.com/xtmpl/
Source0:        http://zoggy.github.com/xtmpl/xtmpl-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-xmlm-devel
Requires:       ocaml-xmlm

%description
Xtmpl is a small XML templating library for OCaml.
It is a rewrite engine / templating library for Xml trees.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-xmlm-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n xtmpl-%{version}

%build
make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/xtmpl
make install
rm -f $OCAMLFIND_DESTDIR/xtmpl/LICENSE

%files
%doc README LICENSE Changes
%dir %{_libdir}/ocaml/xtmpl
%{_libdir}/ocaml/xtmpl/META
%{_libdir}/ocaml/xtmpl/*.cmi
%{_libdir}/ocaml/xtmpl/*.cmo
%{_libdir}/ocaml/xtmpl/*.o

%files devel
%doc doc/
%{_libdir}/ocaml/xtmpl/*.cmx
%{_libdir}/ocaml/xtmpl/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5-2.mga3
+ Revision: 361722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.5-1.mga3
+ Revision: 341145
- new version 0.5

* Wed Nov 28 2012 blue_prawn <blue_prawn> 0.3-5.mga3
+ Revision: 322631
- no change, only a rebuild

* Fri Oct 19 2012 malo <malo> 0.3-4.mga3
+ Revision: 308251
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.3-3.mga3
+ Revision: 301579
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.3-2.mga3
+ Revision: 300527
- new rpm group for ocaml

* Sat Sep 15 2012 blue_prawn <blue_prawn> 0.3-1.mga3
+ Revision: 294093
- updated to last version 0.3

* Wed Aug 29 2012 blue_prawn <blue_prawn> 0.2-1.mga3
+ Revision: 285555
- imported package ocaml-xtmpl

